# Class CIM_ZoneCapabilities
extends CIM_Capabilities

ZoneCapabilities exposes the capabilities for zoning of an AdminDomain.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_ZoneCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | ZoneCapabilities exposes the capabilities for zoning of an AdminDomain.
UMLPackagePath | string | CIM::Device::FC
Version | string | 2.23.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MaxNumZone | uint32 |
Description | string | The maximum number of Zones that the AdminDomain is capable of supporting.
MaxNumZoneAliases | uint32 |
Description | string | The maximum number of ZoneAliases that the AdminDomain is capable of supporting.
MaxNumZoneMembers | uint32 |
Description | string | The maximum number of ZoneMembers that the AdminDomain is capable of supporting.
MaxNumZoneSets | uint32 |
Description | string | The maximum number of ZoneSets that the AdminDomain is capable of supporting.
MaxNumZonesPerZoneSet | uint32 |
Description | string | The maximum number of Zones per ZoneSet that the AdminDomain is capable of supporting.
ZoneNameFormat | uint16 |
Description | string | The ZoneNameFormat supported by the AdminDomain.
ValueMap | string | 0, 2, 3, .., 0x8000..
Values | string | Unknown, Numeric, Alpha Numeric, DMTF Reserved, Vendor Reserved
ZoneNameMaxLen | uint32 |
Description | string | The maximum length for the Zone Name that the AdminDomain is capable of supporting.
OtherSupportedConnectivityMemberTypes | string[] |
Description | string | In case one of the array elements for SupportedConnectivityMemberTypes has a value of 1, i.e Other, then this array lists the Other Supported Connectivity Member Types.
SupportedConnectivityMemberTypes | uint16[] |
ArrayType | string | Indexed
Description | string | An array of enumerated integers that describe the supported Zone Member Types. For example, a vendor supporting only Permanent Address and Network Address as Zone Member Types would need to return an array of 2 elements, with the values 2 & 3.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, .., 0x8000..
Values | string | Unknown, Other, Permanent Address, Network Address, Switch Port ID, Logical Port Group, Connectivity Collection, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods